// ---------------------------------------------------------------------------
// @file       crc.h
// @brief      CRC algorithms
// 
// @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
// @date       2009/09/25
// ---------------------------------------------------------------------------

#ifndef __LSM_CRC_H__
#define __LSM_CRC_H__

// ---------------------------------------------------------------------------
// Add 'data' to the 8 bits crc computation.
// 'crc' is the previous crc value
// return the new crc value
// ---------------------------------------------------------------------------
unsigned char 
CRC8(unsigned char data, 
     unsigned char crc);

// ---------------------------------------------------------------------------
// Add 'data' to the 8 bits crc computation.
// 'crc' is the previous crc value
// return the new crc value
// ---------------------------------------------------------------------------
unsigned char
CRC16(unsigned short data, 
      unsigned char crc);

// ---------------------------------------------------------------------------
// Add 'data' to the 8 bits crc computation.
// 'crc' is the previous crc value
// return the new crc value
// ---------------------------------------------------------------------------
unsigned char
CRC32(unsigned long data, 
      unsigned char crc);

#endif
