// ---------------------------------------------------------------------------
// @file       larvorCommon.h
// @brief      fonction to read/write a buffer & CRC
// 
// @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
// @date       2009/09/25
// ---------------------------------------------------------------------------

#ifndef __LARVOR_COMMON_H__
#define __LARVOR_COMMON_H__

#include <inttypes.h>

// ----------------------------------------------------------------------------
// Function which read 2 bytes on the serial port. 
// The first byte is copied in 'data'
// The second byte must must be the CRC8 of 'data'. Return 1 if this is the case
// ----------------------------------------------------------------------------
uint8_t
larvorGetDataAndCrc(unsigned char* data);

// ----------------------------------------------------------------------------
// Read 2 16 bits addresses + the 8 bits page size + 8 bits CRC for these data
// data are available in addrBegin addrEnd pageSize
// ----------------------------------------------------------------------------
uint8_t
larvorGetAddrs();

extern uint16_t addrBegin;
extern uint16_t addrEnd;
extern uint8_t  pageSize;

// ----------------------------------------------------------------------------
// 
// ----------------------------------------------------------------------------
uint8_t
larvorGetWriteBufferData(uint8_t** buffer, 
                         uint8_t size);

#endif
