/**
 * @file       led.h
 * @brief      led driver
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/25
 */

#ifndef __LED_H__
#define __LED_H__


/** @brief led modes */
/* time is plitted into 8 interval, for each interval, the led is on if the bit is set */
#define LED_MODE_OFF          0x00
#define LED_MODE_BLINK_SLOW   0x03
#define LED_MODE_BLINK_SLOW2  0xCC
#define LED_MODE_BLINK_FAST   0x55
#define LED_MODE_ON           0xFF

// led ID
#define LED_RED               0
#define LED_BLUE              1
#define LED_NBR               2

/**
 * @brief Initialize the led command driver and the timer interrupt
 */
void ledInit();

/**
 * @brief Set the blink mode of a led
 * @param ledId id of the led [0..LED_NBR[
 * @param mode LED_MODE_OFF, LED_MODE_BLINK_SLOW, LED_BLINK_FAST, LED_ON
 */
void ledSetMode(unsigned char ledId,
                unsigned char mode);

#endif /* __LED_H__ */
